Subject: Re: bug#18933: ATLAS fails to build on mips

From: Andreas Enge <[email-masked]>
Date: Mon, 3 Nov 2014 22:27:45 +0100

On Mon, Nov 03, 2014 at 06:53:35PM +0100, Federico Beffa wrote:
> * Are we corss-compiling, or are we on proper hardware?

No, it is native on a mips machine.

> I have no practical experience with MIPS, so my next question is: In
> the list of architectures supported by ATLAS I see:
> 49 = 'MIPSR1xK'
> 50 = 'MIPSICE9'

No idea. But there is a debian package for mipsel, described as
"The libraries in this package are built without any processor extension instructions, and should run on all processors of this general architecture, albeit less than optimally."

> Also ATLAS wants to know about ISA extensions. Is any of the following
> relevant or should I pick 'none'?
>          none: 1
>           VSX: 2
>       AltiVec: 4
>        AVXMAC: 8
>       AVXFMA4: 16
>           AVX: 32
>          SSE3: 64
>          SSE2: 128
>          SSE1: 256
>         3DNow: 512
>          NEON: 1024

2 and 4 are for powerpc, 8 to 512 for x86 and 1024 for arm. So "none"
should be best.

Andreas